package static

import (
	"context"
	"testing"

	"github.com/open-io/oio-exporter/common"
	"github.com/open-io/oio-exporter/testutils"
)

func TestStaticModule(t *testing.T) {
	t.Parallel()

	m := common.MakeMetricData()
	d := MakeDaemon("TESTNAMESPACE", "test-host", "test.rack")

	if err := d.Collect(m); err != nil {
		t.Fatalf("Collect error: %s", err)
	}

	if err := d.Close(context.TODO()); err != nil {
		t.Fatalf("Close error: %s", err)
	}

	testutils.NewMetricDataTest().
		ForMetric(
			testutils.NewMetricAssertion().
				LabelIs("namespace", "TESTNAMESPACE").
				LabelIs("localname", "test-host").
				LabelIs("rack", "test.rack").
				NoExtraLabels(),
			"static_host").
		NoExtraMetrics().
		Check(t, m)
}
